Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_qbs_mod.F90	(revision 5099)
@@ -1,6 +1,6 @@
 MODULE climb_qbs_mod
-!
+
 ! Module to solve the verctical diffusion of blowing snow; 
-!
+
   USE dimphy
 
@@ -20,7 +20,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_qbs_down(knon, coefqbs, paprs, pplay, &
        delp, temp, qbs, dtime, &
@@ -32,5 +32,5 @@
 ! for the quantity X=[QBS] in equation X(k) = C(k) + D(k)*X(k-1), where k is
 ! the index of the vertical layer.
-!
+
 ! Input arguments
 !****************************************************************************************
@@ -70,5 +70,5 @@
 ! 1)
 ! Allocation at first time step only
-!   
+
 !****************************************************************************************
 
@@ -95,5 +95,5 @@
 ! 2)
 ! Definition of the coeficient K 
-!
+
 !****************************************************************************************
     Kcoefqbs(:,:) = 0.0
@@ -109,5 +109,5 @@
 ! 3)
 ! Calculation of gama for "Q" and "H"
-!
+
 !****************************************************************************************
 !   surface pressure is used as reference
@@ -138,5 +138,5 @@
 ! 4)
 ! Calculte the coefficients C and D for specific content of blowing snow, qbs
-!
+
 !****************************************************************************************
     
@@ -148,5 +148,5 @@
 ! 5)
 ! Return the first layer in output variables
-!
+
 !****************************************************************************************
     Acoef_QBS_out = Acoef_QBS
@@ -156,5 +156,5 @@
 ! 6)
 ! If Pbl is split, return also the other layers in output variables
-!
+
 !****************************************************************************************
     IF (mod(iflag_pbl_split,10) >=1) THEN
@@ -176,12 +176,12 @@
 
   END SUBROUTINE climb_qbs_down
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE calc_coef_qbs(knon, Kcoef, gama, delp, X, Ccoef, Dcoef, Acoef, Bcoef)
-!
+
 ! Calculate the coefficients C and D in : X(k) = C(k) + D(k)*X(k-1)
 ! where X is QQBS, and k the vertical level k=1,klev
-!
+
     INCLUDE "YOMCST.h"
 ! Input arguments
@@ -204,5 +204,5 @@
 !****************************************************************************************
 ! Niveau au sommet, k=klev
-!
+
 !****************************************************************************************
     Ccoef(:,:) = 0.0
@@ -219,5 +219,5 @@
 !****************************************************************************************
 ! Niveau  (klev-1) <= k <= 2
-!
+
 !****************************************************************************************
 
@@ -233,5 +233,5 @@
 !****************************************************************************************
 ! Niveau k=1
-!
+
 !****************************************************************************************
 
@@ -243,7 +243,7 @@
 
   END SUBROUTINE calc_coef_qbs
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_qbs_up(knon, dtime, qbs_old, &
        flx_qbs1, paprs, pplay, &
@@ -252,10 +252,9 @@
        Kcoef_qbs_in, gama_qbs_in, &
        flux_qbs, d_qbs)
-! 
+
 ! This routine calculates the flux and tendency of the specific content of blowing snow qbs 
 ! The quantity qbs is calculated according to 
 ! X(k) = C(k) + D(k)*X(k-1) for X=[qbs], where the coefficients 
 ! C and D are known from before and k is index of the vertical layer.
-!   
 
 ! Input arguments
@@ -294,5 +293,5 @@
 ! Definition of some variables
     REAL, DIMENSION(klon,klev)               :: zairm
-!
+
 !****************************************************************************************
     flux_qbs(:,:) = 0.0
@@ -323,5 +322,5 @@
 ! 2)
 ! Calculation of QBS
-!
+
 !****************************************************************************************
 
@@ -337,5 +336,5 @@
 ! 3)
 ! Calculation of the flux for QBS
-!
+
 !****************************************************************************************
 
@@ -354,5 +353,5 @@
 ! 4)
 ! Calculation of tendency for QBS
-!
+
 !****************************************************************************************
     DO k = 1, klev
@@ -365,5 +364,5 @@
 !****************************************************************************************
 ! Some deallocations
-!
+
 !****************************************************************************************
     IF (last) THEN
@@ -378,7 +377,7 @@
     END IF
   END SUBROUTINE climb_qbs_up
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE climb_qbs_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/climb_wind_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
-!
+
 MODULE climb_wind_mod
-!
+
 ! Module to solve the verctical diffusion of the wind components "u" and "v".
-!
+
   USE dimphy
 
@@ -30,7 +30,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_wind_init
 
@@ -40,5 +40,5 @@
 !****************************************************************************************
 ! Allocation of global module variables
-!
+
 !****************************************************************************************
 
@@ -70,7 +70,7 @@
 
   END SUBROUTINE climb_wind_init
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE climb_wind_down(knon, dtime, coef_in, pplay, paprs, temp, delp, u_old, v_old, &
 !!! nrlmd le 02/05/2011
@@ -79,10 +79,9 @@
 !!!
        Acoef_U_out, Acoef_V_out, Bcoef_U_out, Bcoef_V_out)
-!
+
 ! This routine calculates for the wind components u and v,
 ! recursivly the coefficients C and D in equation 
 ! X(k) = C(k) + D(k)*X(k-1), X=[u,v], k=[1,klev] is the vertical layer.
-!
-!
+
 
 ! Input arguments
@@ -131,5 +130,5 @@
 !****************************************************************************************
 ! Calculate the coefficients C and D in : u(k) = C(k) + D(k)*u(k-1)
-!
+
 !****************************************************************************************
 ! - Define alpha (alf1 and alf2) 
@@ -159,5 +158,5 @@
 ! 6)
 ! Return the first layer in output variables
-!
+
 !****************************************************************************************
     Acoef_U_out = Acoef_U
@@ -169,5 +168,5 @@
 ! 7)
 ! If Pbl is split, return also the other layers in output variables
-!
+
 !****************************************************************************************
 !!! jyg le 07/02/2012
@@ -193,11 +192,11 @@
 
   END SUBROUTINE climb_wind_down
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE calc_coef(knon, Kcoef, delp, X, alfa1, alfa2, Ccoef, Dcoef, Acoef, Bcoef)
-!
+
 ! Find the coefficients C and D in fonction of alfa, K and delp
-!
+
 ! Input arguments
 !****************************************************************************************
@@ -219,8 +218,7 @@
     INCLUDE "YOMCST.h"
 !****************************************************************************************
-! 
 
 ! Calculate coefficients C and D at top level, k=klev
-!
+
     Ccoef(:,:) = 0.0
     Dcoef(:,:) = 0.0
@@ -232,8 +230,7 @@
        Dcoef(i,klev) = Kcoef(i,klev)/buf
     END DO
-    
-! 
+
 ! Calculate coefficients C and D at top level (klev-1) <= k <= 2
-!
+
     DO k=(klev-1),2,-1
        DO i = 1, knon
@@ -245,7 +242,6 @@
     END DO
 
-!
 ! Calculate coeffiecent A and B at surface
-!
+
     DO i = 1, knon
        buf = delp(i,1) + Kcoef(i,2)*(1-Dcoef(i,2))
@@ -255,7 +251,6 @@
 
   END SUBROUTINE calc_coef
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
 
   SUBROUTINE climb_wind_up(knon, dtime, u_old, v_old, flx_u1, flx_v1,  &
@@ -266,12 +261,12 @@
 !!!
        flx_u_new, flx_v_new, d_u_new, d_v_new)
-!
+
 ! Diffuse the wind components from the surface layer and up to the top layer. 
 ! Coefficents A, B, C and D are known from before. Start values for the diffusion are the
 ! momentum fluxes at surface.
-!
+
 ! u(k=1) = A + B*flx*dtime
 ! u(k)   = C(k) + D(k)*u(k-1)  [2 <= k <= klev]
-!
+
 !****************************************************************************************
 
@@ -304,6 +299,5 @@
     INCLUDE "YOMCST.h"
     INCLUDE "compbl.h"    
-    
-!
+
 !****************************************************************************************
 
@@ -347,10 +341,10 @@
 !****************************************************************************************
 ! Calcul flux
-!
+
 !== flux_u/v est le flux de moment angulaire (positif vers bas)
 !== dont l'unite est: (kg m/s)/(m**2 s) 
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
     flx_u_new(:,:) = 0.0
     flx_v_new(:,:) = 0.0
@@ -372,5 +366,5 @@
 !****************************************************************************************
 ! Calcul tendances
-!
+
 !****************************************************************************************
     d_u_new(:,:) = 0.0
@@ -384,6 +378,6 @@
 
   END SUBROUTINE climb_wind_up
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE climb_wind_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cltrac.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cltrac.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cltrac.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id $
-!
+
 SUBROUTINE cltrac(dtime,coef,t,tr,flux,paprs,pplay,delp, &
                   d_tr,d_tr_dry,flux_tr_dry)                    !jyg
@@ -12,5 +12,5 @@
 ! Objet: diffusion verticale de traceurs avec flux fixe a la surface
 !        ou/et flux du type c-drag
-!
+
 ! Arguments:
 !-----------
@@ -31,7 +31,7 @@
 !======================================================================
   include "YOMCST.h"
-!
+
 ! Entree
-! 
+
   REAL,INTENT(IN)                        :: dtime
   REAL,DIMENSION(klon,klev),INTENT(IN)   :: coef
@@ -40,14 +40,14 @@
   REAL,DIMENSION(klon,klev+1),INTENT(IN) :: paprs 
   REAL,DIMENSION(klon,klev),INTENT(IN)   :: pplay, delp
-!
+
 ! Sorties
-!
+
   REAL ,DIMENSION(klon,klev),INTENT(OUT) :: d_tr
   REAL ,DIMENSION(klon),INTENT(OUT)       :: d_tr_dry          !jyg
   REAL ,DIMENSION(klon),INTENT(OUT)       :: flux_tr_dry       !jyg
 !  REAL ,DIMENSION(klon,klev),INTENT(OUT) :: flux_tr
-!
+
 ! Local
-! 
+
   INTEGER                   :: i, k
   REAL,DIMENSION(klon)      :: cdrag, tr0
@@ -97,8 +97,8 @@
   DO i = 1, klon
      zx_buf(i) = delp(i,1) + zx_coef(i,1)*zx_alf1(i) + zx_coef(i,2)
-     !
+
      zx_ctr(i,2) = (local_tr(i,1)*delp(i,1)+                  &
           zx_coef(i,1)*tr0(i)-zx_flux(i))/zx_buf(i)
-     !
+
      zx_dtr(i,2) = (zx_coef(i,2)-zx_alf2(i)*zx_coef(i,1)) /   & 
           zx_buf(i)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cltracrn.F90	(revision 5099)
@@ -17,5 +17,5 @@
 ! Objet: diffusion verticale de traceurs avec quantite de traceur ds 
 !        le sol ( reservoir de sol de radon ) 
-!        
+
 ! note : pour l'instant le traceur dans le sol et le flux sont
 !        calcules mais ils ne servent que de diagnostiques
@@ -46,5 +46,5 @@
 !======================================================================
   include "YOMCST.h"
-!
+
 !Entrees
   INTEGER,INTENT(IN)                     :: itr
@@ -205,5 +205,5 @@
              *(zx_ctr(i,1)*(zx_alpha1(i)+zx_alpha2(i)*zx_dtr(i,2)) &
              +zx_alpha2(i)*zx_ctr(i,2))
-        !
+
         zx_b = 1. + rotrhi(i)*masktr(i)*zx_coef(i,1)/RG  &
              * (1.-zx_dtr(i,1)                           &
@@ -211,5 +211,5 @@
              + dtime / tautr                             &
              + dtime * vdeptr / hsoltr
-        ! 
+
         zx_trs(i) = zx_a / zx_b
         local_trs(i) = zx_trs(i)
@@ -247,5 +247,5 @@
 
   ENDDO    ! sur le i=1,klon
-!
+
 !======================================================================
 ! Une fois on a zx_trs, on peut faire l'iteration 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cmp_seri_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 ! $Id:  ??? $
-!
+
 MODULE cmp_seri_mod
   !======================================================================
   ! to check if the x_seri vaariables have changed
-  !
+
   !======================================================================
 
@@ -16,5 +16,5 @@
   SUBROUTINE init_cmp_seri
     !======================================================================
-    !
+
     !======================================================================
 
@@ -25,5 +25,5 @@
     USE phys_local_var_mod, ONLY: u_seri, v_seri, ql_seri, qs_seri, q_seri, &
          t_seri
-    !
+
     IMPLICIT none
     ! Local :
@@ -32,7 +32,6 @@
     !$OMP THREADPRIVATE(first)
 
-    !
     !======================================================================
-    !
+
     if (first) then
        ALLOCATE(u_prev(klon,klev))
@@ -55,8 +54,8 @@
 
   !======================================================================
-  !
+
   !======================================================================
   SUBROUTINE cmp_seri(iflag,text)
-    !
+
     USE dimphy, ONLY: klon, klev
     USE phys_local_var_mod, ONLY: u_seri, v_seri, ql_seri, qs_seri, q_seri, &
@@ -75,7 +74,7 @@
     logical t_differ, u_differ, v_differ, ql_differ, qs_differ, q_differ
     logical any_differ
-    !
+
     any_differ = .false.
-    !
+
     dt_seri(:,:)=t_seri(:,:)-t_prev(:,:)
     IF (any(t_seri/=t_prev)) then
@@ -87,5 +86,5 @@
        t_differ=.false.
     END IF
-    !
+
     dq_seri(:,:)=q_seri(:,:)-q_prev(:,:)
     IF (any(q_seri/=q_prev)) then
@@ -97,5 +96,5 @@
        q_differ=.false.
     END IF
-    !
+
     dql_seri(:,:)=ql_seri(:,:)-ql_prev(:,:)
     IF (any(ql_seri/=ql_prev)) then
@@ -107,5 +106,5 @@
        ql_differ=.false.
     END IF
-    !
+
     dqs_seri(:,:)=qs_seri(:,:)-qs_prev(:,:)
     IF (any(qs_seri/=qs_prev)) then
@@ -117,5 +116,5 @@
        qs_differ=.false.
     END IF
-    !
+
     du_seri(:,:)=u_seri(:,:)-u_prev(:,:)
     IF (any(u_seri/=u_prev)) then
@@ -127,5 +126,5 @@
        u_differ=.false.
     END IF
-    !
+
     dv_seri(:,:)=v_seri(:,:)-v_prev(:,:)
     IF (any(v_seri/=v_prev)) then
@@ -137,5 +136,5 @@
        v_differ=.false.
     END IF
-    !
+
     if (any_differ) then
        IF (iflag >= 2 .and. prt_level >= 5) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5099)
@@ -17,6 +17,6 @@
             PRESA,PRAIN,PPA,PZ0HSEA,LPRECIP, LPWG,coeffs )
 !     #######################################################################
-!
-!
+
+
 !!****  *COARE25_FLUX*
 !!
@@ -25,5 +25,5 @@
 !      Calculate the surface fluxes of heat, moisture, and momentum over
 !      sea surface with bulk algorithm COARE3.0.
-!
+
 !!**  METHOD
 !!    ------
@@ -37,5 +37,5 @@
 !        NGRVWAVES=1 wave age parameterization of Oost et al. 2002
 !        NGRVWAVES=2 model of Taylor and Yelland 2001
-!
+
 !!    EXTERNAL
 !!    --------
@@ -65,11 +65,10 @@
 !!                             add abort if no convergence
 !-------------------------------------------------------------------------------
-!
+
 !*       0.     DECLARATIONS
 !               ------------
-!
-!
+
+
 !USE MODD_SEAFLUX_n, ONLY : SEAFLUX_t
-!
 
 !----------Rajout Olive ---------
@@ -85,29 +84,29 @@
 
 !USE MODD_SURF_ATM,   ONLY : XVZ0CM
-!
+
 !USE MODD_SURF_PAR,   ONLY : XUNDEF, XSURF_EPSILON
 !USE MODD_WATER_PAR
-!
+
 !USE MODI_SURFACE_RI
 !USE MODI_WIND_THRESHOLD
 !USE MODE_COARE30_PSI
-!
+
 !USE MODE_THERMOS
-!
-!
+
+
 !USE MODI_ABOR1_SFX
-!
-!
+
+
 !USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
 !USE PARKIND1  ,ONLY : JPRB
-!
+
 IMPLICIT NONE
-!
+
 !*      0.1    declarations of arguments
-!
-!
-!
+
+
+
 !TYPE(SEAFLUX_t), INTENT(INOUT) :: S
-!
+
 REAL, DIMENSION(klon), INTENT(IN)       :: PTA   ! air temperature at atm. level (K)
 REAL, DIMENSION(klon), INTENT(IN)       :: PQA   ! air humidity at atm. level (kg/kg)
@@ -123,12 +122,12 @@
 REAL, DIMENSION(klon), INTENT(IN)       :: PPA        ! air pressure at atm level (Pa)
 REAL, DIMENSION(klon), INTENT(IN)       :: PQSATA        ! air pressure at atm level (Pa)
-!
+
 REAL, DIMENSION(klon), INTENT(INOUT)    :: PZ0SEA! roughness length over the ocean
-!
+
 !  surface fluxes : latent heat, sensible heat, friction fluxes
 REAL, DIMENSION(klon), INTENT(OUT)      :: PSFTH ! heat flux (W/m2)
 REAL, DIMENSION(klon), INTENT(OUT)      :: PSFTQ ! water flux (kg/m2/s)
 REAL, DIMENSION(klon), INTENT(OUT)      :: PUSTAR! friction velocity (m/s)
-!
+
 ! diagnostics
 REAL, DIMENSION(klon), INTENT(OUT)      :: PQSAT ! humidity at saturation
@@ -144,27 +143,26 @@
 LOGICAL,            INTENT(IN)    :: LPWG    !
 real, dimension(3), intent(inout)      :: coeffs
-!
-!
+
 
 !*      0.2    declarations of local variables
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZVMOD    ! wind intensity
 REAL, DIMENSION(SIZE(PTA))      :: ZPA      ! Pressure at atm. level
 REAL, DIMENSION(SIZE(PTA))      :: ZTA      ! Temperature at atm. level
 REAL, DIMENSION(SIZE(PTA))      :: ZQASAT   ! specific humidity at saturation  at atm. level (kg/kg)
-!
+
 !rajout
 REAL, DIMENSION(SIZE(PTA))       :: PEXNA      ! Exner function at atm level
 REAL, DIMENSION(SIZE(PTA))       :: PEXNS      ! Exner function at atm level
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZO       ! rougness length ref
 REAL, DIMENSION(SIZE(PTA))      :: ZWG      ! gustiness factor (m/s)
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZDU,ZDT,ZDQ,ZDUWG !differences
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZUSR        !velocity scaling parameter "ustar" (m/s) = friction velocity
 REAL, DIMENSION(SIZE(PTA))      :: ZTSR        !temperature sacling parameter "tstar" (degC)
 REAL, DIMENSION(SIZE(PTA))      :: ZQSR        !humidity scaling parameter "qstar" (kg/kg)
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZU10,ZT10   !vertical profils (10-m height)
 REAL, DIMENSION(SIZE(PTA))      :: ZVISA       !kinematic viscosity of dry air
@@ -174,8 +172,8 @@
 REAL, DIMENSION(SIZE(PTA))      :: ZRIBU,ZRIBCU
 REAL, DIMENSION(SIZE(PTA))      :: ZETU,ZL10
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZCHARN                      !Charnock number depends on wind module
 REAL, DIMENSION(SIZE(PTA))      :: ZTWAVE,ZHWAVE,ZCWAVE,ZLWAVE !to compute gravity waves' impact
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZZL,ZZTL!,ZZQL    !Obukhovs stability
                                                      !param. z/l for u,T,q
@@ -183,7 +181,7 @@
 REAL, DIMENSION(SIZE(PTA))      :: ZOT,ZOQ           !rougness length ref
 REAL, DIMENSION(SIZE(PTA))      :: ZPUZ,ZPTZ,ZPQZ    !PHI funct. for u,T,q
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZBF               !constants to compute gustiness factor
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZTAU       !momentum flux (W/m2)
 REAL, DIMENSION(SIZE(PTA))      :: ZHF        !sensible heat flux (W/m2)
@@ -193,19 +191,19 @@
 REAL, DIMENSION(SIZE(PTA))      :: ZRF        !sensible heat flux due to rain (W/m2)
 REAL, DIMENSION(SIZE(PTA))      :: ZCHN,ZCEN  !neutral coef. for heat and vapor
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZLV      !latent heat constant
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZTAC,ZDQSDT,ZDTMP,ZDWAT,ZALFAC ! for precipitation impact
 REAL, DIMENSION(SIZE(PTA))      :: ZXLR                           ! vaporisation  heat  at a given temperature
 REAL, DIMENSION(SIZE(PTA))      :: ZCPLW                          ! specific heat for water at a given temperature
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZUSTAR2  ! square of friction velocity
-!
+
 REAL, DIMENSION(SIZE(PTA))      :: ZDIRCOSZW! orography slope cosine (=1 on water!)
 REAL, DIMENSION(SIZE(PTA))      :: ZAC      ! Aerodynamical conductance
-!
-!
+
+
 INTEGER, DIMENSION(SIZE(PTA))   :: ITERMAX             ! maximum number of iterations
-!
+
 REAL    :: ZRVSRDM1,ZRDSRV,ZR2 ! thermodynamic constants
 REAL    :: ZBETAGUST           !gustiness factor
@@ -217,5 +215,5 @@
 REAL    :: QSAT_SEAWATER
 REAL    :: QSATSEAW_1D
-!
+
 INTEGER :: J, JLOOP    !loop indice
 !REAL(KIND=JPRB) :: ZHOOK_HANDLE
@@ -247,14 +245,13 @@
 PEXNS = (PPS/PREF)**(RD/RCPD)
 
-!
 !-------------------------------------------------------------------------------
-!
+
 !       1.     Initializations
 !              ---------------
-!
+
 !       1.1   Constants and parameters
-!
+
 !IF (LHOOK) CALL DR_HOOK('COARE30_FLUX',0,ZHOOK_HANDLE)
-!
+
 ZRVSRDM1  = XRV/XRD-1. ! 0.607766
 ZRDSRV    = XRD/XRV    ! 0.62198
@@ -264,13 +261,13 @@
 ZS        = 10.        ! Standard heigth =10m
 ZCH10     = 0.00115
-!
+
 ZVISW     = 1.E-6
-!
+
 !       1.2   Array initialization by undefined values
-!
+
 PSFTH (:)=XUNDEF
 PSFTQ (:)=XUNDEF
 PUSTAR(:)=XUNDEF
-!
+
 PCD(:) = XUNDEF
 PCDN(:) = XUNDEF
@@ -278,15 +275,15 @@
 PCE(:) =XUNDEF
 PRI(:) = XUNDEF
-!
+
 PRESA(:)=XUNDEF
-!
+
 !-------------------------------------------------------------------------------
 !       2. INITIAL GUESS FOR THE ITERATIVE METHOD
 !          -------------------------------------
-!
+
 !       2.0     Temperature
-!
+
 ! Set a non-zero value for the temperature gradient
-!
+
 WHERE((PTA(:)*PEXNS(:)/PEXNA(:)-PSST(:))==0.)
       ZTA(:)=PTA(:)-1E-3
@@ -296,15 +293,12 @@
 
 !       2.1     Wind and humidity
-!
+
 ! Sea surface specific humidity
-!
+
 !PQSAT(:)=QSAT_SEAWATER(PSST(:),PPS(:))
 PQSAT(:)=QSATSEAW_1D(PSST(:),PPS(:))
 
-
-
-!
 ! Set a minimum value to wind
-!
+
 !ZVMOD(:) = WIND_THRESHOLD(PVMOD(:),PUREF(:))
 
@@ -313,7 +307,6 @@
 !ZVMOD = PVMOD    !set a minimum value to wind
 
-!
 ! Specific humidity at saturation at the atm. level
-!
+
 ZPA(:) = XP00* (PEXNA(:)**(XCPD/XRD))
 !ZQASAT(:) = QSAT_SEAWATER(ZTA(:),ZPA(:))
@@ -321,30 +314,28 @@
 
 
-!
-!
 ZO(:)  = 0.0001
 ZWG(:) = 0.
 IF (LPWG) ZWG(:) = 0.5
-!
+
 ZCHARN(:) = 0.011
-!
+
 DO J=1,SIZE(PTA)
-  !
+
   !      2.2       initial guess
-  !
+
   ZDU(J) = ZVMOD(J)   !wind speed difference with surface current(=0) (m/s)
                       !initial guess for gustiness factor
   ZDT(J) = -(ZTA(J)/PEXNA(J)) + (PSST(J)/PEXNS(J)) !potential temperature difference
   ZDQ(J) = PQSAT(J)-PQA(J)                         !specific humidity difference
-  !
+
   ZDUWG(J) = SQRT(ZDU(J)**2+ZWG(J)**2)     !wind speed difference including gustiness ZWG
-  !
+
   !      2.3   initialization of neutral coefficients
-  !
+
   ZU10(J)  = ZDUWG(J)*LOG(ZS/ZO(J))/LOG(PUREF(J)/ZO(J))
   ZUSR(J)  = 0.035*ZU10(J)
   ZVISA(J) = 1.326E-5*(1.+6.542E-3*(ZTA(J)-XTT)+&
              8.301E-6*(ZTA(J)-XTT)**2-4.84E-9*(ZTA(J)-XTT)**3) !Andrea (1989) CRREL Rep. 89-11
-  !
+
   ZO10(J) = ZCHARN(J)*ZUSR(J)*ZUSR(J)/XG+0.11*ZVISA(J)/ZUSR(J)
   ZCD(J)  = (XKARMAN/LOG(PUREF(J)/ZO10(J)))**2  !drag coefficient
@@ -352,10 +343,10 @@
   ZCT10(J)= ZCH10/SQRT(ZCD10(J))
   ZOT10(J)= ZS/EXP(XKARMAN/ZCT10(J))
-  !
+
   !-------------------------------------------------------------------------------
   !             Grachev and Fairall (JAM, 1997)
   ZCT(J) = XKARMAN/LOG(PZREF(J)/ZOT10(J))      !temperature transfer coefficient
   ZCC(J) = XKARMAN*ZCT(J)/ZCD(J)               !z/L vs Rib linear coef.
-  !
+
   ZRIBCU(J) = -PUREF(J)/(ZZBL*0.004*ZBETAGUST**3) !saturation or plateau Rib
   !ZRIBU(J) =-XG*PUREF(J)*(ZDT(J)+ZRVSRDM1*(ZTA(J)-XTT)*ZDQ)/&
@@ -363,5 +354,5 @@
   ZRIBU(J)  = -XG*PUREF(J)*(ZDT(J)+ZRVSRDM1*ZTA(J)*ZDQ(J))/&
                (ZTA(J)*ZDUWG(J)**2)
-  !
+
   IF (ZRIBU(J)<0.) THEN
     ZETU(J) = ZCC(J)*ZRIBU(J)/(1.+ZRIBU(J)/ZRIBCU(J))    !Unstable G and F
@@ -369,18 +360,18 @@
     ZETU(J) = ZCC(J)*ZRIBU(J)/(1.+27./9.*ZRIBU(J)/ZCC(J))!Stable
   ENDIF
-  !
+
   ZL10(J) = PUREF(J)/ZETU(J) !MO length
-  !
+
 ENDDO
-!
+
 !  First guess M-O stability dependent scaling params. (u*,T*,q*) to estimate ZO and z/L (ZZL)
 ZUSR(:) = ZDUWG(:)*XKARMAN/(LOG(PUREF(:)/ZO10(:))-PSIFCTU(PUREF(1)/ZL10(1)))
 ZTSR(:) = -ZDT(:)*XKARMAN/(LOG(PZREF(:)/ZOT10(:))-PSIFCTT(PZREF(1)/ZL10(1)))
 ZQSR(:) = -ZDQ(:)*XKARMAN/(LOG(PZREF(:)/ZOT10(:))-PSIFCTT(PZREF(1)/ZL10(1)))
-!
+
 ZZL(:) = 0.0
-!
+
 DO J=1,SIZE(PTA)
-  !
+
   IF (ZETU(J)>50.) THEN
     ITERMAX(J) = 1
@@ -388,27 +379,25 @@
     ITERMAX(J) = 3 !number of iterations
   ENDIF
-  !
+
   !then modify Charnork for high wind speeds Chris Fairall's data
   IF (ZDUWG(J)>10.) ZCHARN(J) = 0.011 + (0.018-0.011)*(ZDUWG(J)-10.)/(18.-10.)
   IF (ZDUWG(J)>18.) ZCHARN(J) = 0.018
-  !
+
   !                3.  ITERATIVE LOOP TO COMPUTE USR, TSR, QSR
   !                -------------------------------------------
-  !
+
   ZHWAVE(J) = 0.018*ZVMOD(J)*ZVMOD(J)*(1.+0.015*ZVMOD(J))
   ZTWAVE(J) = 0.729*ZVMOD(J)
   ZCWAVE(J) = XG*ZTWAVE(J)/(2.*XPI)
   ZLWAVE(J) = ZTWAVE(J)*ZCWAVE(J)
-  !
+
 ENDDO
-!
-
-!
+
 DO JLOOP=1,MAXVAL(ITERMAX) ! begin of iterative loop
-  !
+
   DO J=1,SIZE(PTA)
-    !
+
     IF (JLOOP>ITERMAX(J)) CYCLE
-    !
+
     IF (NGRVWAVES==0) THEN
       ZO(J) = ZCHARN(J)*ZUSR(J)*ZUSR(J)/XG + 0.11*ZVISA(J)/ZUSR(J) !Smith 1988
@@ -420,9 +409,9 @@
               + 0.11*ZVISA(J)/ZUSR(J)                       !Taulor and Yelland 2001
     ENDIF
-    !
+
     ZRR(J) = ZO(J)*ZUSR(J)/ZVISA(J)
     ZOQ(J) = MIN(1.15E-4 , 5.5E-5/ZRR(J)**0.6)
     ZOT(J) = ZOQ(J)
-    !
+
     ZZL(J) = XKARMAN * XG * PUREF(J) * &
               ( ZTSR(J)*(1.+ZRVSRDM1*PQA(J)) + ZRVSRDM1*ZTA(J)*ZQSR(J) ) / &
@@ -431,21 +420,21 @@
 !    ZZQL(J)=ZZL(J)*PZREF(J)/PUREF(J)  ! for Q
   ENDDO
-  !
+
   ZPUZ(:) = PSIFCTU(ZZL(1))
   ZPTZ(:) = PSIFCTT(ZZTL(1))
-  !
+
   DO J=1,SIZE(PTA)
-    !
+
     ! ZPQZ(J)=PSIFCTT(ZZQL(J))
     ZPQZ(J) = ZPTZ(J)
-    !
+
     !             3.1 scale parameters
-    !
+
     ZUSR(J) = ZDUWG(J)*XKARMAN/(LOG(PUREF(J)/ZO(J)) -ZPUZ(J))
     ZTSR(J) = -ZDT(J)  *XKARMAN/(LOG(PZREF(J)/ZOT(J))-ZPTZ(J))
     ZQSR(J) = -ZDQ(J)  *XKARMAN/(LOG(PZREF(J)/ZOQ(J))-ZPQZ(J))
-    !
+
     !             3.2 Gustiness factor (ZWG)
-    !
+
     IF(LPWG) THEN
       ZBF(J) = -XG/ZTA(J)*ZUSR(J)*(ZTSR(J)+ZRVSRDM1*ZTA(J)*ZQSR(J))
@@ -457,39 +446,39 @@
     ENDIF
     ZDUWG(J) = SQRT(ZVMOD(J)**2 + ZWG(J)**2)
-    !
+
   ENDDO
-  !
+
 ENDDO
 !-------------------------------------------------------------------------------
-!
+
 !            4.  COMPUTE transfer coefficients PCD, PCH, ZCE and SURFACE FLUXES
 !                --------------------------------------------------------------
-!
+
 ZTAU(:) = XUNDEF
 ZHF(:)  = XUNDEF
 ZEF(:)  = XUNDEF
-!
+
 ZWBAR(:) = 0.
 ZTAUR(:) = 0.
 ZRF(:)   = 0.
-!
+
 DO J=1,SIZE(PTA)
-  !
-  !
+
+
   !            4. transfert coefficients PCD, PCH and PCE
   !                 and neutral PCDN, ZCHN, ZCEN
-  !
+
   PCD(J) = (ZUSR(J)/ZDUWG(J))**2.
   PCH(J) = ZUSR(J)*ZTSR(J)/(ZDUWG(J)*(ZTA(J)*PEXNS(J)/PEXNA(J)-PSST(J)))
   PCE(J) = ZUSR(J)*ZQSR(J)/(ZDUWG(J)*(PQA(J)-PQSAT(J)))
-  !
+
   PCDN(J) = (XKARMAN/LOG(ZS/ZO(J)))**2.
   ZCHN(J) = (XKARMAN/LOG(ZS/ZO(J)))*(XKARMAN/LOG(ZS/ZOT(J)))
   ZCEN(J) = (XKARMAN/LOG(ZS/ZO(J)))*(XKARMAN/LOG(ZS/ZOQ(J)))
-  !
+
   ZLV(J) = XLVTT + (XCPV-XCL)*(PSST(J)-XTT)
-  !
+
   !            4. 2 surface fluxes
-  !
+
   IF (ABS(PCDN(J))>1.E-2) THEN   !!!! secure COARE3.0 CODE
     write(*,*) 'pb PCDN in COARE30: ',PCDN(J)
@@ -505,21 +494,21 @@
     ZHF(J)  =  PRHOA(J)*XCPD*ZUSR(J)*ZTSR(J)
     ZEF(J)  =  PRHOA(J)*ZLV(J)*ZUSR(J)*ZQSR(J)
-    !
+
     !           4.3 Contributions to surface  fluxes due to rainfall
-    !
+
     ! SB: a priori, le facteur ZRDSRV=XRD/XRV est introduit pour
     !     adapter la formule de Clausius-Clapeyron (pour l'air
     !     sec) au cas humide.
     IF (LPRECIP) THEN
-      !
+
       ! heat surface  fluxes
-      !
+
       ZTAC(J)  = ZTA(J)-XTT
-      !
+
       ZXLR(J)  = XLVTT + (XCPV-XCL)* ZTAC(J)                            ! latent heat of rain vaporization
       ZDQSDT(J)= ZQASAT(J) * ZXLR(J) / (XRD*ZTA(J)**2)                  ! Clausius-Clapeyron relation
       ZDTMP(J) = (1.0 + 3.309e-3*ZTAC(J) -1.44e-6*ZTAC(J)*ZTAC(J)) * &  !heat diffusivity
                   0.02411 / (PRHOA(J)*XCPD)
-      !
+
       ZDWAT(J) = 2.11e-5 * (XP00/ZPA(J)) * (ZTA(J)/XTT)**1.94           ! water vapour diffusivity from eq (13.3)
       !                                                                 ! of Pruppacher and Klett (1978)
@@ -531,29 +520,29 @@
                                   (1.2826e-3 + ZTAC(J) * &
                                     (4.7884e-5 - 2.0027e-6* ZTAC(J))))) ! specific heat
-      !
+
       ZRF(J)   = PRAIN(J) * ZCPLW(J) * ZALFAC(J) * &                    !Eq.12 in GoF95 !SIGNE?
                    (PSST(J) - ZTA(J) + (PQSAT(J)-PQA(J))*ZXLR(J)/XCPD )
-      !
+
       ! Momentum flux due to rainfall
-      !
+
       ZTAUR(J)=-0.85*(PRAIN(J) *ZVMOD(J)) !pp3752 in FBR96
-      !
+
     ENDIF
-    !
+
     !             4.4   Webb correction to latent heat flux
-    !
+
     ZWBAR(J)=- (1./ZRDSRV)*ZUSR(J)*ZQSR(J) / (1.0+(1./ZRDSRV)*PQA(J)) &
                - ZUSR(J)*ZTSR(J)/ZTA(J)                        ! Eq.21*rhoa in FBR96
-    !
+
     !             4.5   friction velocity which contains correction du to rain
-    !
+
     ZUSTAR2(J)= - (ZTAU(J) + ZTAUR(J)) / PRHOA(J)
     PUSTAR(J) =  SQRT(ZUSTAR2(J))
-    !
+
     !             4.6   Total surface fluxes
-    !
+
     PSFTH (J) =  ZHF(J) + ZRF(J)
     PSFTQ (J) =  ZEF(J) / ZLV(J)
-    !
+
   ENDIF
 ENDDO
@@ -565,10 +554,10 @@
 
 !-------------------------------------------------------------------------------
-!
+
 !       5.  FINAL STEP : TOTAL SURFACE FLUXES AND DERIVED DIAGNOSTICS
 !           -----------
 !       5.1    Richardson number
-!
-!
+
+
 !------------STOP LA --------------------
 !ZDIRCOSZW(:) = 1.
@@ -580,5 +569,5 @@
 !ZAC(:) = PCH(:)*ZVMOD(:)
 !PRESA(:) = 1. / MAX(ZAC(:),XSURF_EPSILON)
-!
+
 !!       5.3 Z0 and Z0H over sea
 !!
@@ -588,7 +577,7 @@
 !!
 !IF (LHOOK) CALL DR_HOOK('COARE30_FLUX',1,ZHOOK_HANDLE)
-!
+
 !-------------------------------------------------------------------------------
-!
+
 END SUBROUTINE COARE30_FLUX_CNRM
 
